> For the complete documentation index, see [llms.txt](https://xcs-plugin.gitbook.io/cursorcs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://xcs-plugin.gitbook.io/cursorcs/reference/itemsadder-text-images.md).

# itemsadder text images

This page explains how to use ItemsAdder image placeholders inside CursorCs text fields.

## Basic format

ItemsAdder image placeholders usually look like this:

```yaml
%img_robloxbg%
```

Inside a hologram:

```yaml
roblox_bg:
  text: "%img_robloxbg%"
  offset_x: 0.0
  offset_y: 1.0
  offset_z: -1.9
  scale: 0.5
```

## Where you can use it

You can use an ItemsAdder image placeholder in:

* `text:`
* animation frames
* `change_text`
* typewriter text

## Example in `change_text`

```yaml
icon_button:
  min_x: -0.20
  max_x: 0.20
  min_y: -0.10
  max_y: 0.10
  on_hover:
    - type: "change_text"
      hologram: "icon_preview"
      newText: "%img_robloxbg%"
```

## Example in a frame animation

```yaml
icon_anim:
  text: ""
  animation:
    enabled: true
    type: "loop"
    interval_ticks: 5
    frames:
      - "%img_icon_1%"
      - "%img_icon_2%"
      - "%img_icon_3%"
```

## Requirements

For this to work correctly, make sure:

* ItemsAdder is installed and configured
* the glyph/image exists in your ItemsAdder font config
* PlaceholderAPI is installed if your setup uses placeholder parsing for it
* players have the correct resource pack


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://xcs-plugin.gitbook.io/cursorcs/reference/itemsadder-text-images.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
